/api/v1/datagrid-rows/{id} (GET)
GET
/api/v1/datagrid-rows/{id}
const url = 'https://api.endless.zaia.app/api/v1/datagrid-rows/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.endless.zaia.app/api/v1/datagrid-rows/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0Retrieves a datagrid row.
Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”id
required
A UUID v4 string that identifies an entity.
string format: uuid
A UUID v4 string that identifies an entity.
Responses
Seção intitulada “Responses”Retrieves a datagrid row.
Media typeapplication/json
object
createdAt
required
string format: date-time
id
required
A UUID v4 string that identifies an entity.
string format: uuid
updatedAt
required
string format: date-time
datagridId
required
A UUID v4 string that identifies an entity.
string format: uuid
position
required
integer
datagridValues
required
Array<object>
object
createdAt
required
string format: date-time
id
required
A UUID v4 string that identifies an entity.
string format: uuid
updatedAt
required
string format: date-time
datagridColumnId
required
A UUID v4 string that identifies an entity.
string format: uuid
datagridId
required
A UUID v4 string that identifies an entity.
string format: uuid
datagridRowId
required
A UUID v4 string that identifies an entity.
string format: uuid
detail
required
Any of:
object
type
required
string
value
required
string
object
type
required
string
value
required
number
object
type
required
string
value
required
boolean
Example
{ "datagridValues": [ { "detail": { "type": "string" } } ]}Unauthorized.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}Datagrid row not found.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}